Subject: Re: git gui equivalent to git checkout -b

From: Pat Thoyts <[email-masked]>
Date: Wed, 30 Mar 2011 13:56:39 +0100

"Matt Seitz" <[email-masked]> writes:

>What is the git gui equivalent to "git checkout -b"?
>
>I have a working tree with changes that I don't want to commit to "master" 
>yet.  So I want to create a new branch to contain my changes.
>
>If I go to "Branch->Checkout", I don't see an option to create a new branch.
>
>If I go to "Branch->Create", I see an option to "Checkout After Creation", 
>but I want to be sure that is the right choice.

Create.

% echo junk >> git-gui.sh
% git status --short --branch
## master
 M git-gui.sh

% git gui # selected Branch, Create, Name=pt/demo, Checkout after Creation
% git status --short --branch
## pt/demo
 M git-gui.sh

If we don't select 'Checkout after Creation' then we don't move to the
new branch. It is created but we remain on master.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD